"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'bitru',
    name: 'BitRu',
    description: 'BitRu is a RUSSIAN Public Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'ru-RU',
    type: 'public',
    encoding: 'UTF-8',
    links: ['https://bitru.org/'],
    legacylinks: ['http://bitru.org/'],
    caps: {
        categorymappings: [
            { id: 'movie', cat: 'Movies', desc: 'Movie' },
            { id: 'serial', cat: 'TV', desc: 'Serial' },
            { id: 'music', cat: 'Audio', desc: 'Music' },
            { id: 'game', cat: 'PC/Games', desc: 'Game' },
            { id: 'soft', cat: 'PC', desc: 'Software' },
            { id: 'literature', cat: 'Books', desc: 'Literature' },
            { id: 'audiobook', cat: 'Audio/Audiobook', desc: 'Audiobook' },
            { id: 'video', cat: 'Movies', desc: 'Movies' },
            { id: 'image', cat: 'Other', desc: 'Image' },
            { id: 'xxx', cat: 'XXX', desc: 'xxx' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        {
            name: 'adverts',
            type: 'checkbox',
            label: 'Include Advertising',
            default: true,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '_',
            options: { _: 'created', seeders: 'seeders', size: 'size' },
        },
    ],
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            s: '{{ .Keywords }}',
            sort: '{{ re_replace .Config.sort "_" "" }}',
            $raw: '{{ if .Config.adverts }}{{ else }}&rek=no{{ end}}',
        },
        rows: { selector: 'table.browse-list > tbody > tr' },
        fields: {
            category: {
                selector: 'td:nth-child(1) a',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'tmp' }],
            },
            title: { selector: 'a[href^="details.php?id="]' },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
                filters: [{ name: 'replace', args: ['details', 'download'] }],
            },
            description: {
                selector: 'img[src="styles/images/adwarn.png"]',
                optional: true,
                attribute: 'title',
                filters: [
                    {
                        name: 'replace',
                        args: ['Присутствует реклама', 'Contains Adverts'],
                    },
                ],
            },
            poster: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: 'src=(.*?) ' }],
            },
            date: {
                selector: 'td:nth-child(2) div.b-info div span:nth-child(2):not(:contains("Сегодня")):not(:contains("Вчера"))',
                optional: true,
                filters: [
                    { name: 'regexp', args: '(.*?) от ' },
                    { name: 'replace', args: [' в ', ' '] },
                    { name: 'replace', args: ['января', 'January'] },
                    { name: 'replace', args: ['февраля', 'February'] },
                    { name: 'replace', args: ['марта', 'March'] },
                    { name: 'replace', args: ['апреля', 'April'] },
                    { name: 'replace', args: ['мая', 'May'] },
                    { name: 'replace', args: ['июня', 'June'] },
                    { name: 'replace', args: ['июля', 'July'] },
                    { name: 'replace', args: ['августа', 'August'] },
                    { name: 'replace', args: ['сентября', 'September'] },
                    { name: 'replace', args: ['октября', 'October'] },
                    { name: 'replace', args: ['ноября', 'November'] },
                    { name: 'replace', args: ['декабря', 'December'] },
                    { name: 'append', args: ' +03:00' },
                    { name: 'dateparse', args: '02 January 2006 15:04 -07:00' },
                ],
            },
            size: {
                selector: 'td:nth-child(3)',
                filters: [
                    { name: 'replace', args: ['ТБ', 'TB'] },
                    { name: 'replace', args: ['ГБ', 'GB'] },
                    { name: 'replace', args: ['МБ', 'MB'] },
                    { name: 'replace', args: ['КБ', 'KB'] },
                ],
            },
            seeders: {
                selector: 'td:nth-child(4)',
                filters: [{ name: 'replace', args: ['?', '1'] }],
            },
            leechers: {
                selector: 'td:nth-child(5)',
                filters: [{ name: 'replace', args: ['?', '0'] }],
            },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
