"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'coastalcrew',
    name: 'Coastal-Crew',
    description: 'Coastal-Crew is a GERMAN Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'de-DE',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://coastal-crew.bounceme.net/'],
    caps: {
        categorymappings: [
            { id: '28', cat: 'Movies/SD', desc: 'Movie - Xvid/x264' },
            { id: '32', cat: 'Movies/HD', desc: 'Movie - 720p/1080p' },
            { id: '130', cat: 'Movies', desc: 'Movie - Pack' },
            { id: '155', cat: 'Movies/DVD', desc: 'Movie - DVD' },
            { id: '154', cat: 'Movies/UHD', desc: 'Movie - UHD/4K' },
            { id: '60', cat: 'TV/SD', desc: 'Serien - Xvid/x264' },
            { id: '157', cat: 'TV/HD', desc: 'Serien - 720p/1080p' },
            { id: '57', cat: 'TV/SD', desc: 'Serien - Pack/SD' },
            { id: '59', cat: 'TV/HD', desc: 'Serien - Pack/720p' },
            { id: '156', cat: 'TV/HD', desc: 'Serien - Pack/1080p' },
            { id: '158', cat: 'TV/UHD', desc: 'Serien - UHD/4K' },
            { id: '15', cat: 'TV/Documentary', desc: 'Doku - Xvid/x264' },
            { id: '14', cat: 'TV/Documentary', desc: 'Doku - 720p/1080p' },
            { id: '13', cat: 'TV/Documentary', desc: 'Doku - Pack' },
            { id: '12', cat: 'PC/0day', desc: 'App - Win' },
            { id: '11', cat: 'PC', desc: 'App - Other' },
            { id: '10', cat: 'PC/Mac', desc: 'App - Mac' },
            { id: '9', cat: 'PC/Mobile-Android', desc: 'App - Linux/Android' },
            { id: '131', cat: 'Console', desc: 'Game - Nintendo' },
            { id: '17', cat: 'PC/Games', desc: 'Game - PC' },
            { id: '18', cat: 'Console', desc: 'Game - PS' },
            { id: '24', cat: 'Console/Other', desc: 'Game - Wimmelbild' },
            { id: '48', cat: 'Audio/MP3', desc: 'Music - mp3' },
            { id: '53', cat: 'Audio/Lossless', desc: 'Music - Flac' },
            { id: '52', cat: 'Audio', desc: 'Music - Pack' },
            { id: '109', cat: 'Audio/Video', desc: 'Music - Video-HD/SD' },
            { id: '62', cat: 'TV/Sport', desc: 'Sport - Alles' },
            { id: '64', cat: 'Books/Comics', desc: 'Sonstiges - Anime' },
            { id: '63', cat: 'Audio/Audiobook', desc: 'Sonstiges - A-Book' },
            { id: '96', cat: 'Books/Ebook', desc: 'Sonstiges - E-Book' },
            { id: '69', cat: 'Books', desc: 'Sonstiges - Tutorial' },
            { id: '71', cat: 'Books/Other', desc: 'Sonstiges - Other' },
            { id: '102', cat: 'Movies', desc: 'Kinder - Alles' },
            { id: '113', cat: 'XXX/DVD', desc: 'XXX - DVD' },
            { id: '76', cat: 'XXX', desc: 'XXX - HD-SD' },
            { id: '75', cat: 'XXX/Pack', desc: 'XXX - Pack' },
            { id: '151', cat: 'Other', desc: 'Request - spritti01' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        { name: 'pin', type: 'text', label: 'Pin' },
    ],
    login: {
        path: 'login.php',
        method: 'form',
        form: 'form[action="/login.php"]',
        cookies: ['JAVA=OK'],
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            pin: '{{ .Config.pin }}',
            loggiin: 'einloggen',
        },
        error: [{ selector: 'div#login_error' }],
        test: { path: 'selection.php' },
    },
    download: {
        before: {
            path: 'ajax_det_poll.php',
            method: 'post',
            inputs: {
                set_thanks: 'thanks',
                det_id: '{{ .DownloadUri.Query.torrent }}',
                ajax: 'yes',
            },
        },
    },
    search: {
        paths: [{ path: 'selection.php' }],
        inputs: {
            search: '{{ .Keywords }}',
            blah: '0',
            orderby: 'added',
            sort: 'desc',
        },
        rows: { selector: 'div.selection_wrap' },
        fields: {
            title: { selector: 'a.selection_a' },
            details: { selector: 'a.selection_a', attribute: 'href' },
            download: {
                selector: 'a.selection_a',
                attribute: 'href',
                filters: [
                    {
                        name: 'replace',
                        args: ['details.php?id=', 'download.php?torrent='],
                    },
                ],
            },
            category: {
                selector: 'div.kat_cat_pic',
                case: {
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("Xvid/x264"))': '28',
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("720p/1080p"))': '32',
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("Pack"))': '130',
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("DVD"))': '155',
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("UHD/4K"))': '154',
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("Xvid/x264"))': '60',
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("720p/1080p"))': '157',
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("Pack/SD"))': '57',
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("Pack/720p"))': '59',
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("Pack/1080p"))': '156',
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("UHD/4K"))': '158',
                    ':has(div.kat_cat_pic_name:contains("Doku")):has(div.kat_cat_pic_name_b:contains("Xvid/x264"))': '15',
                    ':has(div.kat_cat_pic_name:contains("Doku")):has(div.kat_cat_pic_name_b:contains("720p/1080p"))': '14',
                    ':has(div.kat_cat_pic_name:contains("Doku")):has(div.kat_cat_pic_name_b:contains("Pack"))': '13',
                    ':has(div.kat_cat_pic_name:contains("App")):has(div.kat_cat_pic_name_b:contains("Win"))': '12',
                    ':has(div.kat_cat_pic_name:contains("App")):has(div.kat_cat_pic_name_b:contains("Other"))': '11',
                    ':has(div.kat_cat_pic_name:contains("App")):has(div.kat_cat_pic_name_b:contains("Mac"))': '10',
                    ':has(div.kat_cat_pic_name:contains("App")):has(div.kat_cat_pic_name_b:contains("Linux/Android"))': '9',
                    ':has(div.kat_cat_pic_name:contains("Game")):has(div.kat_cat_pic_name_b:contains("Nintendo"))': '131',
                    ':has(div.kat_cat_pic_name:contains("Game")):has(div.kat_cat_pic_name_b:contains("PC"))': '17',
                    ':has(div.kat_cat_pic_name:contains("Game")):has(div.kat_cat_pic_name_b:contains("PS"))': '18',
                    ':has(div.kat_cat_pic_name:contains("Game")):has(div.kat_cat_pic_name_b:contains("Wimmelbild"))': '24',
                    ':has(div.kat_cat_pic_name:contains("Music")):has(div.kat_cat_pic_name_b:contains("mp3"))': '48',
                    ':has(div.kat_cat_pic_name:contains("Music")):has(div.kat_cat_pic_name_b:contains("Flac"))': '53',
                    ':has(div.kat_cat_pic_name:contains("Music")):has(div.kat_cat_pic_name_b:contains("Pack"))': '52',
                    ':has(div.kat_cat_pic_name:contains("Music")):has(div.kat_cat_pic_name_b:contains("Video-HD/SD"))': '109',
                    ':has(div.kat_cat_pic_name:contains("Sport")):has(div.kat_cat_pic_name_b:contains("Alles"))': '62',
                    ':has(div.kat_cat_pic_name:contains("Sonstiges")):has(div.kat_cat_pic_name_b:contains("Anime"))': '64',
                    ':has(div.kat_cat_pic_name:contains("Sonstiges")):has(div.kat_cat_pic_name_b:contains("A-Book"))': '63',
                    ':has(div.kat_cat_pic_name:contains("Sonstiges")):has(div.kat_cat_pic_name_b:contains("E-Book"))': '96',
                    ':has(div.kat_cat_pic_name:contains("Sonstiges")):has(div.kat_cat_pic_name_b:contains("Tutorial"))': '69',
                    ':has(div.kat_cat_pic_name:contains("Sonstiges")):has(div.kat_cat_pic_name_b:contains("Other"))': '71',
                    ':has(div.kat_cat_pic_name:contains("Kinder")):has(div.kat_cat_pic_name_b:contains("Alles"))': '102',
                    ':has(div.kat_cat_pic_name:contains("XXX")):has(div.kat_cat_pic_name_b:contains("DVD"))': '113',
                    ':has(div.kat_cat_pic_name:contains("XXX")):has(div.kat_cat_pic_name_b:contains("HD-SD"))': '76',
                    ':has(div.kat_cat_pic_name:contains("XXX")):has(div.kat_cat_pic_name_b:contains("Pack"))': '75',
                    ':has(div.kat_cat_pic_name:contains("Request")):has(div.kat_cat_pic_name_b:contains("spritti01"))': '151',
                },
            },
            poster: { selector: 'div[id^="details"] img', attribute: 'src' },
            size: {
                selector: 'div.selection_unter_ag',
                filters: [
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            grabs: { text: 0 },
            seeders: {
                selector: 'div.selection_unter_aa',
                filters: [
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            leechers: {
                selector: 'div.selection_unter_aaa',
                filters: [
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            date: {
                selector: 'div.selection_unter_ab:contains(".")',
                optional: true,
                filters: [
                    { name: 'replace', args: [' um', ''] },
                    { name: 'append', args: ' +01:00' },
                    { name: 'dateparse', args: '02.01.2006 15:04:05 -07:00' },
                ],
            },
            description: { selector: 'selection_unter_af', optional: true },
            downloadvolumefactor: { text: 1 },
            uploadvolumefactor: { text: 1 },
            minimumratio: { text: 1 },
            minimumseedtime: { text: 259200 },
        },
    },
    source: 'jackett',
};
