"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'exttorrents',
    name: 'EXT Torrents',
    description: 'EXT Torrents is a Public torrent site for MOVIES / TV / GENERAL',
    language: 'en-US',
    type: 'public',
    encoding: 'UTF-8',
    links: ['https://ext.to/', 'https://torrent.extto.com/', 'https://ext.torrentbay.to/'],
    legacylinks: ['https://ext.unblockninja.com/', 'https://t.extto.com/'],
    caps: {
        categorymappings: [
            { id: '/anime/', cat: 'TV/Anime', desc: 'Anime' },
            {
                id: '/anime/english-translated/',
                cat: 'TV/Anime',
                desc: 'Anime English Translated',
            },
            { id: '/applications/', cat: 'PC', desc: 'Apps' },
            {
                id: '/applications/android/',
                cat: 'PC/Mobile-Android',
                desc: 'Apps Android',
            },
            {
                id: '/applications/ios/',
                cat: 'PC/Mobile-iOS',
                desc: 'Apps iOS',
            },
            { id: '/applications/linux/', cat: 'PC', desc: 'Apps Linux' },
            { id: '/applications/mac/', cat: 'PC/Mac', desc: 'Apps Mac' },
            {
                id: '/applications/other-applications/',
                cat: 'PC/Mobile-Other',
                desc: 'Apps Other',
            },
            {
                id: '/applications/windows/',
                cat: 'PC/0day',
                desc: 'Apps Windows',
            },
            { id: '/books/', cat: 'Books', desc: 'Books' },
            {
                id: '/books/audio-books/',
                cat: 'Audio/Audiobook',
                desc: 'Books Audiobooks',
            },
            { id: '/books/comics/', cat: 'Books/Comics', desc: 'Books Comics' },
            { id: '/books/ebooks/', cat: 'Books/Ebook', desc: 'Books Ebooks' },
            { id: '/games/', cat: 'PC/Games', desc: 'Games' },
            { id: '/games/nds/', cat: 'Console/NDS', desc: 'Games NDS' },
            {
                id: '/games/other-games/',
                cat: 'Console/Other',
                desc: 'Games Other',
            },
            { id: '/games/pc-games/', cat: 'PC/Games', desc: 'Games PC' },
            { id: '/games/ps3/', cat: 'Console/PS3', desc: 'Games PS3' },
            { id: '/games/ps4/', cat: 'Console/PS4', desc: 'Games PS4' },
            { id: '/games/psp/', cat: 'Console/PSP', desc: 'Games PSP' },
            {
                id: '/games/switch/',
                cat: 'Console/Other',
                desc: 'Games Switch',
            },
            { id: '/games/wii/', cat: 'Console/Wii', desc: 'Games Wii' },
            {
                id: '/games/xbox360/',
                cat: 'Console/Xbox360',
                desc: 'Games Xbox360',
            },
            { id: '/movies/', cat: 'Movies', desc: 'Movies' },
            { id: '/movies/3d-movies/', cat: 'Movies/3D', desc: 'Movies 3D' },
            {
                id: '/movies/bollywood/',
                cat: 'Movies',
                desc: 'Movies Bollywood',
            },
            {
                id: '/movies/documentary/',
                cat: 'Movies',
                desc: 'Movies Documentary',
            },
            {
                id: '/movies/dubbed-movies/',
                cat: 'Movies',
                desc: 'Movies Dubbed',
            },
            { id: '/movies/dvd/', cat: 'Movies/DVD', desc: 'Movies DVD' },
            {
                id: '/movies/highres-movies/',
                cat: 'Movies/HD',
                desc: 'Movies Highres',
            },
            { id: '/movies/mp4/', cat: 'Movies', desc: 'Movies MP4' },
            {
                id: '/movies/other-movies/',
                cat: 'Movies',
                desc: 'Movies Other Movies',
            },
            {
                id: '/movies/ultrahd/',
                cat: 'Movies/UHD',
                desc: 'Movies UltraHD',
            },
            { id: '/music/', cat: 'Audio', desc: 'Music' },
            { id: '/music/aac/', cat: 'Audio', desc: 'Music AAC' },
            {
                id: '/music/lossless/',
                cat: 'Audio/Lossless',
                desc: 'Music Lossless',
            },
            { id: '/music/mp3/', cat: 'Audio/MP3', desc: 'Music MP3' },
            {
                id: '/music/other-music/',
                cat: 'Audio/Other',
                desc: 'Music Other',
            },
            {
                id: '/music/radio-shows/',
                cat: 'Audio',
                desc: 'Music Radio Shows',
            },
            { id: '/other/', cat: 'Other', desc: 'Other' },
            { id: '/tv/', cat: 'TV', desc: 'TV' },
            { id: '/xxx/', cat: 'XXX', desc: 'XXX' },
            { id: '/xxx/games/', cat: 'XXX/Other', desc: 'XXX Games' },
            { id: '/xxx/hentai/', cat: 'XXX/Other', desc: 'XXX Hentai' },
            { id: '/xxx/magazines/', cat: 'XXX/Other', desc: 'XXX Magazines' },
            { id: '/xxx/pictures/', cat: 'XXX/Imageset', desc: 'XXX Pictures' },
            { id: '/xxx/video/', cat: 'XXX', desc: 'XXX Video' },
            { id: '/video/', cat: 'XXX', desc: 'XXX Video' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'age',
            options: { age: 'created', seed: 'seeders', size: 'size' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
        {
            name: 'flaresolverr',
            type: 'info',
            label: 'FlareSolverr',
            default: 'This site may use Cloudflare DDoS Protection, therefore Jackett requires <a href="https://github.com/Jackett/Jackett#configuring-flaresolverr" target="_blank">FlareSolver</a> to access it.',
        },
    ],
    download: { selector: 'a[href^="magnet:?xt="]', attribute: 'href' },
    search: {
        paths: [
            {
                path: '{{ if .Keywords }}search/?q={{ .Keywords }}&{{ else }}latest/?{{ end }}order={{ .Config.sort }}&sort={{ .Config.type }}',
            },
            {
                path: '{{ if .Keywords }}search/?q={{ .Keywords }}/2/&{{ else }}latest/2/?{{ end }}order={{ .Config.sort }}&sort={{ .Config.type }}',
            },
            {
                path: '{{ if .Keywords }}search/?q={{ .Keywords }}/3/&{{ else }}latest/3/?{{ end }}order={{ .Config.sort }}&sort={{ .Config.type }}',
            },
            {
                path: '{{ if .Keywords }}search/?q={{ .Keywords }}/4/&{{ else }}latest/4/?{{ end }}order={{ .Config.sort }}&sort={{ .Config.type }}',
            },
        ],
        headers: {
            'User-Agent': [
                'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.35',
            ],
        },
        rows: { selector: 'table.table-striped > tbody > tr' },
        fields: {
            category: {
                selector: 'td:nth-child(1) div div a:last-child',
                attribute: 'href',
            },
            title: { selector: 'td:nth-child(1) div a' },
            details: { selector: 'td:nth-child(1) div a', attribute: 'href' },
            download: { selector: 'td:nth-child(1) div a', attribute: 'href' },
            size: { selector: 'td:nth-child(2)' },
            files: { selector: 'td:nth-child(3)', optional: true },
            date: { selector: 'td:nth-child(4)' },
            seeders: { selector: 'td:nth-child(5)' },
            leechers: { selector: 'td:nth-child(6)' },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
