"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'feedurneed',
    name: 'FeedUrNeed',
    description: 'FeedUrNeed (FuN) is a Private Torrent Tracker for MOVIES / TV / General',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://feedurneed.xyz/'],
    caps: {
        categorymappings: [
            { id: '12', cat: 'TV/Anime', desc: 'Anime' },
            { id: '82', cat: 'PC/0day', desc: 'Apps/0day' },
            { id: '1', cat: 'PC/ISO', desc: 'Apps/ISO' },
            { id: '63', cat: 'Audio/Audiobook', desc: 'Audiobooks' },
            { id: '66', cat: 'Console/Other', desc: 'Console/NSW' },
            { id: '67', cat: 'Console/PS4', desc: 'Console/PS4' },
            { id: '68', cat: 'Console/Other', desc: 'Console/PS5' },
            { id: '24', cat: 'Books/Ebook', desc: 'E-Books' },
            { id: '64', cat: 'PC/Games', desc: 'Games/ISO' },
            { id: '65', cat: 'PC/Games', desc: 'Games/Rips' },
            { id: '28', cat: 'Movies/3D', desc: 'Movies/3D' },
            { id: '30', cat: 'Movies', desc: 'Movies/Cam-TS' },
            { id: '15', cat: 'Movies/DVD', desc: 'Movies/DVDR' },
            { id: '58', cat: 'Movies/Foreign', desc: 'Movies/DVDR-Foreign' },
            { id: '31', cat: 'Movies', desc: 'Movies/FooKaS RG' },
            { id: '70', cat: 'Movies/BluRay', desc: 'Movies/HD-Blu-Ray' },
            { id: '60', cat: 'Movies/HD', desc: 'Movies/HD-Foreign' },
            { id: '18', cat: 'Movies/HD', desc: 'Movies/HD-Retail-X264' },
            { id: '56', cat: 'Movies/HD', desc: 'Movies/HD-Retail-X265' },
            { id: '55', cat: 'Movies/WEB-DL', desc: 'Movies/HD-Web' },
            { id: '23', cat: 'Movies/BluRay', desc: 'Movies/Remuxes' },
            { id: '59', cat: 'Movies/Foreign', desc: 'Movies/SD-Foreign' },
            { id: '74', cat: 'Movies/WEB-DL', desc: 'Movies/SD-Web' },
            { id: '72', cat: 'Movies/SD', desc: 'Movies/SD-X264' },
            { id: '13', cat: 'Movies/SD', desc: 'Movies/SD-XviD' },
            { id: '71', cat: 'Movies/BluRay', desc: 'Movies/UHD-Blu-Ray' },
            { id: '78', cat: 'Movies/Foreign', desc: 'Movies/UHD-Foreign' },
            { id: '57', cat: 'Movies/UHD', desc: 'Movies/UHD-Retail' },
            { id: '69', cat: 'Movies/WEB-DL', desc: 'Movies/UHD-Web' },
            { id: '26', cat: 'Audio/Lossless', desc: 'Music/FLAC' },
            { id: '10', cat: 'Audio/MP3', desc: 'Music/MP3' },
            { id: '43', cat: 'Audio/Video', desc: 'Music/Mvids' },
            { id: '29', cat: 'Movies', desc: 'Packs/Movies' },
            { id: '19', cat: 'Audio/MP3', desc: 'Packs/MP3' },
            { id: '62', cat: 'TV/HD', desc: 'Packs/TV-HD' },
            { id: '61', cat: 'TV/SD', desc: 'Packs/TV-SD' },
            { id: '76', cat: 'TV/HD', desc: 'TV/Blu-Ray' },
            { id: '81', cat: 'TV/SD', desc: 'TV/DVDR' },
            { id: '77', cat: 'TV/Foreign', desc: 'TV/Foreign' },
            { id: '45', cat: 'TV/HD', desc: 'TV/HD' },
            { id: '80', cat: 'TV/HD', desc: 'TV/HD-Retail' },
            { id: '36', cat: 'TV/SD', desc: 'TV/SD' },
            { id: '79', cat: 'TV/SD', desc: 'TV/SD-Retail' },
            { id: '73', cat: 'TV/Sport', desc: 'TV/Sports' },
            { id: '75', cat: 'TV/UHD', desc: 'TV/UHD' },
            { id: '17', cat: 'XXX', desc: 'XXX' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 4,
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
        {
            name: 'info_tpp',
            type: 'info',
            label: 'Results Per Page',
            default: 'For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile. The default is <i>25</i>.',
        },
        {
            name: 'info_pm',
            type: 'info',
            label: 'Force Read PM',
            default: 'To prevent being redirected to the mailbox when you have unread PMs, the setting <b>Force read pm:</b> should be set to <b>No</b> on your account profile.',
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'td.embedded:has(h2:contains("failed"))' }],
        test: { path: 'index.php', selector: 'a[href*="logout.php"]' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            searchin: 'title',
            only_free: '{{ if .Config.freeleech }}1{{ else }}{{ end }}',
            incldead: 1,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        keywordsfilters: [{ name: 're_replace', args: ['(\\w+)', ' +$1'] }],
        rows: {
            selector: 'table.table-bordered > tbody > tr:has(a[href^="download.php?torrent="])',
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: { selector: 'a[onmouseover][href^="details.php?id="]' },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?torrent="]',
                attribute: 'href',
            },
            poster: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'onmouseover',
                filters: [
                    { name: 'regexp', args: 'src="(.*?)"' },
                    { name: 'replace', args: ['./pic/noposter.png', ''] },
                ],
            },
            imdb: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'onmouseover',
                filters: [
                    { name: 'regexp', args: '(\\d{6,8})' },
                    { name: 'prepend', args: 'tt' },
                ],
            },
            seeders: { selector: 'td:nth-child(10)' },
            leechers: { selector: 'td:nth-child(11)' },
            files: { selector: 'td:nth-child(5)' },
            size: { selector: 'td:nth-child(8)' },
            grabs: {
                selector: 'a[href^="snatches.php?id="]',
                filters: [{ name: 'replace', args: ['Times', ''] }],
            },
            downloadvolumefactor: {
                case: { 'a.info:contains("FREE")': 0, '*': 1 },
            },
            uploadvolumefactor: {
                case: { 'a.info:contains("Double")': 2, '*': 1 },
            },
            date: {
                selector: 'td:nth-child(7):not(:contains("day"))',
                optional: true,
                filters: [
                    { name: 'append', args: ' +00:00' },
                    { name: 'dateparse', args: 'Jan 2 2006 03:04 pm +00:00' },
                ],
            },
            minimumratio: { text: 1 },
            minimumseedtime: {
                case: { 'a.info:contains("FREE")': 172800, '*': 129600 },
            },
        },
    },
    source: 'jackett',
};
