"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'funkytorrents',
    name: 'FunkyTorrents',
    description: 'FunkyTorrents (FT) is a Private Torrent Tracker for MUSIC',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://funkytorrents.com/'],
    legacylinks: ['http://funkytorrents.com/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'PC', desc: 'Apps' },
            { id: '2', cat: 'Books', desc: 'eBooks' },
            { id: '3', cat: 'Movies', desc: 'Movie' },
            { id: '33', cat: 'Audio', desc: 'Music DVDs' },
            { id: '5', cat: 'Audio/Video', desc: 'Music Vids' },
            { id: '4', cat: 'Audio', desc: 'OST' },
            { id: '19', cat: 'Audio', desc: 'Music Alternative' },
            { id: '28', cat: 'Audio', desc: 'Music Ambient' },
            { id: '12', cat: 'Audio', desc: 'Music Classical' },
            { id: '17', cat: 'Audio', desc: 'Music Dance' },
            { id: '16', cat: 'Audio', desc: "Music Drum 'n' Bass" },
            { id: '20', cat: 'Audio', desc: 'Music Electronic' },
            { id: '14', cat: 'Audio', desc: 'Music Emo' },
            { id: '23', cat: 'Audio', desc: 'Music Experimental' },
            { id: '34', cat: 'Audio', desc: 'Music Funk' },
            { id: '18', cat: 'Audio', desc: 'Music Hardcore' },
            { id: '13', cat: 'Audio', desc: 'Music House' },
            { id: '31', cat: 'Audio', desc: 'Music IDM' },
            { id: '21', cat: 'Audio', desc: 'Music Indie' },
            { id: '26', cat: 'Audio', desc: 'Music Industrial' },
            { id: '25', cat: 'Audio', desc: 'Music Jazz/Blues/Soul' },
            { id: '37', cat: 'Audio', desc: 'Music Lo-Fi' },
            { id: '6', cat: 'Audio', desc: 'Music Metal' },
            { id: '22', cat: 'Audio', desc: 'Music Misc' },
            { id: '7', cat: 'Audio', desc: 'Music Pop/RnB' },
            { id: '29', cat: 'Audio', desc: 'Music Post-Rock' },
            { id: '30', cat: 'Audio', desc: 'Music Psychedelic' },
            { id: '8', cat: 'Audio', desc: 'Music Punk' },
            { id: '9', cat: 'Audio', desc: 'Music Rap/Hip-Hop' },
            { id: '35', cat: 'Audio', desc: 'Music Reggae' },
            { id: '10', cat: 'Audio', desc: 'Music Rock' },
            { id: '15', cat: 'Audio', desc: 'Music Ska' },
            { id: '32', cat: 'Audio', desc: 'Music Techno' },
            { id: '11', cat: 'Audio', desc: 'Music Trance' },
            { id: '36', cat: 'Audio', desc: 'Music Trip-Hop' },
            { id: '24', cat: 'Audio', desc: 'Music World/Ethnic' },
            { id: '3010', cat: 'Audio/MP3', desc: 'Music MP3' },
            { id: '3040', cat: 'Audio/Lossless', desc: 'Music Lossless' },
        ],
        modes: {
            search: ['q'],
            'movie-search': ['q'],
            'music-search': ['q', 'artist'],
            'book-search': ['q'],
        },
    },
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'td.embedded:has(h2:contains("failed"))' }],
        test: { path: 'browse.php' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            search: '{{ if .Query.Artist }}{{ .Query.Artist }}{{ else }}{{ .Keywords }}{{ end }}',
            incldead: 1,
        },
        rows: {
            selector: 'table.mainouter > tbody > tr > td.outer > table > tbody > tr.mouse_out',
        },
        fields: {
            description: { optional: true, selector: 'td:nth-child(2) > font' },
            title: { selector: 'td:nth-child(2)', remove: 'font' },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            category: {
                optional: true,
                case: {
                    'a[href="/browse.php?ext=1&bitrate=Lossless"]': 3040,
                    'a[href="/browse.php?ext=1&format=MP3"]': 3010,
                },
            },
            download: {
                selector: 'a[href^="download.php"]',
                attribute: 'href',
            },
            files: { selector: 'td:nth-child(5)' },
            date: {
                selector: 'td:nth-child(7)',
                filters: [
                    { name: 'append', args: ' +00:00' },
                    { name: 'dateparse', args: '2006-01-0215:04:05 -07:00' },
                ],
            },
            size: { selector: 'td:nth-child(8)' },
            grabs: { selector: 'td:nth-child(9)' },
            seeders: { selector: 'td:nth-child(10)' },
            leechers: { selector: 'td:nth-child(11)' },
            downloadvolumefactor: {
                case: { 'img[alt="Free Leech"]': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
            minimumratio: { text: 0.6 },
        },
    },
    source: 'jackett',
};
