"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'funreleases',
    name: 'FunReleases',
    description: 'FunReleases is a Private GERMAN site for TV / MOVIES / GENERAL',
    language: 'de-DE',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://funreleases.me/'],
    caps: {
        categorymappings: [
            { id: '10', cat: 'Audio/MP3', desc: 'Audio Mp3' },
            { id: '11', cat: 'Audio/MP3', desc: 'Audio Pack|MP3' },
            { id: '12', cat: 'Audio/Lossless', desc: 'Audio Flac' },
            { id: '13', cat: 'Audio/Lossless', desc: 'Audio Pack|Flac' },
            { id: '14', cat: 'Audio', desc: 'Audio Hörspiel' },
            { id: '15', cat: 'Audio/Audiobook', desc: 'Audio Audiobook' },
            { id: '16', cat: 'Audio/Video', desc: 'Audio Videoclip' },
            { id: '17', cat: 'Audio/Other', desc: 'Audio Sonstiges' },
            { id: '18', cat: 'Movies/3D', desc: 'Filme 3D' },
            { id: '19', cat: 'Movies/BluRay', desc: 'Filme Bluray' },
            { id: '20', cat: 'Movies/DVD', desc: 'Filme DVD-R' },
            { id: '21', cat: 'Movies/UHD', desc: 'Filme HD|4K' },
            { id: '22', cat: 'Movies/HD', desc: 'Filme HD|1080p' },
            { id: '23', cat: 'Movies/HD', desc: 'Filme HD|720p' },
            { id: '24', cat: 'Movies/SD', desc: 'Filme SD' },
            { id: '25', cat: 'Movies/SD', desc: 'Filme XviD' },
            { id: '26', cat: 'Movies', desc: 'Filme Remux' },
            { id: '27', cat: 'Movies/Foreign', desc: 'Filme International' },
            { id: '28', cat: 'Movies/Other', desc: 'Filme Sonstiges' },
            { id: '29', cat: 'TV/HD', desc: 'Serien HD' },
            { id: '30', cat: 'TV/HD', desc: 'Serien Pack|HD' },
            { id: '31', cat: 'TV/SD', desc: 'Serien SD' },
            { id: '32', cat: 'TV/SD', desc: 'Serien Pack|SD' },
            { id: '33', cat: 'TV', desc: 'Serien TV/Shows' },
            { id: '34', cat: 'TV/Foreign', desc: 'Serien International' },
            { id: '35', cat: 'TV/Other', desc: 'Serien Sonstiges' },
            { id: '36', cat: 'TV/Documentary', desc: 'Doku HD' },
            { id: '37', cat: 'TV/Documentary', desc: 'Doku Pack|HD' },
            { id: '38', cat: 'TV/Documentary', desc: 'Doku SD' },
            { id: '39', cat: 'TV/Documentary', desc: 'Doku Pack|SD' },
            { id: '40', cat: 'TV/Documentary', desc: 'Doku International' },
            { id: '41', cat: 'TV/Documentary', desc: 'Doku Sonstiges' },
            { id: '42', cat: 'PC/Games', desc: 'Games Windows' },
            { id: '43', cat: 'Console/PSP', desc: 'Games Playstation' },
            { id: '44', cat: 'Console/Xbox', desc: 'Games XBox' },
            { id: '45', cat: 'Console/NDS', desc: 'Games Nintendo' },
            { id: '46', cat: 'PC/Games', desc: 'Games Macintosh' },
            { id: '47', cat: 'Console/Other', desc: 'Games Sonstiges' },
            { id: '48', cat: 'PC/0day', desc: 'Software Windows' },
            { id: '49', cat: 'PC/Mac', desc: 'Software Macintosh' },
            { id: '50', cat: 'PC/Mobile-Other', desc: 'Software Handy-PDA' },
            { id: '51', cat: 'PC', desc: 'Software Linux' },
            { id: '52', cat: 'PC', desc: 'Software Sonstiges' },
            { id: '53', cat: 'Books/Ebook', desc: 'Ebook Buch' },
            { id: '54', cat: 'Books/Comics', desc: 'Ebook Comic' },
            { id: '55', cat: 'Books/Mags', desc: 'Ebook Magazin' },
            { id: '56', cat: 'Books', desc: 'Ebook Zeitung' },
            { id: '57', cat: 'Books/Other', desc: 'Ebook Sonstiges' },
            { id: '58', cat: 'TV/Sport', desc: 'Sport Fußball' },
            { id: '59', cat: 'TV/Sport', desc: 'Sport Formel 1' },
            { id: '60', cat: 'TV/Sport', desc: 'Sport Wrestling' },
            { id: '61', cat: 'TV/Sport', desc: 'Sport Sonstiges' },
            { id: '62', cat: 'XXX', desc: 'XXX HD' },
            { id: '63', cat: 'XXX', desc: 'XXX Pack|HD' },
            { id: '64', cat: 'XXX', desc: 'XXX SD' },
            { id: '65', cat: 'XXX', desc: 'XXX Pack|SD' },
            { id: '66', cat: 'XXX', desc: 'XXX Bilder' },
            { id: '67', cat: 'XXX', desc: 'XXX Sonstiges' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 3,
            options: { '2': 'title', '3': 'created', '4': 'size', '5': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 2,
            options: { '1': 'asc', '2': 'desc' },
        },
        {
            name: 'info_tpp',
            type: 'info',
            label: 'Results Per Page',
            default: 'For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile. The default is <i>15</i>.',
        },
    ],
    login: {
        path: 'index.php?page=login',
        method: 'post',
        inputs: {
            uid: '{{ .Config.username }}',
            pwd: '{{ .Config.password }}',
        },
        error: [
            {
                selector: 'body[onLoad^="makeAlert(\'"]',
                message: {
                    selector: 'body[onLoad^="makeAlert(\'"]',
                    attribute: 'onLoad',
                    filters: [
                        { name: 'replace', args: ["makeAlert('Error' , '", ''] },
                        { name: 'replace', args: ["');", ''] },
                    ],
                },
            },
        ],
        test: { path: 'index.php', selector: 'a[href="logout.php"]' },
    },
    download: {
        selector: 'a[href^="download.php?id="]',
        attribute: 'href',
    },
    search: {
        paths: [{ path: 'index.php' }],
        inputs: {
            search: '{{ .Keywords }}',
            category: '{{ range .Categories }}{{.}};{{end}}',
            page: 'torrents',
            active: 0,
            options: '{{ if .Config.freeleech }}5{{ else }}0{{ end }}',
            order: '{{ .Config.sort }}',
            by: '{{ .Config.type }}',
        },
        rows: {
            selector: 'div.b-content > table > tbody > tr > td > table.lista > tbody > tr:has(a[href^="index.php?page=torrent-details&id="])',
        },
        fields: {
            category: {
                selector: 'a[href^="index.php?page=torrents&category="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'category' }],
            },
            title: {
                selector: 'a[href^="index.php?page=torrent-details&id="]',
            },
            details: {
                selector: 'a[href^="index.php?page=torrent-details&id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="index.php?page=downloadcheck&id="]',
                attribute: 'href',
            },
            poster: {
                selector: 'a[href^="index.php?page=torrent-details&id="]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: 'src=(.+?) ' }],
            },
            date: {
                selector: 'td:nth-last-child(9)',
                filters: [
                    { name: 'append', args: ' +00:00' },
                    { name: 'dateparse', args: '02/01/2006 -07:00' },
                ],
            },
            seeders: { selector: 'td:nth-last-child(8)' },
            leechers: { selector: 'td:nth-last-child(7)' },
            grabs: {
                selector: 'td:nth-last-child(6)',
                filters: [{ name: 'replace', args: ['---', '0'] }],
            },
            size: { selector: 'td:nth-last-child(4)' },
            downloadvolumefactor: {
                case: {
                    'img[src="images/gold.gif"]': 0,
                    'img[src="images/silver.gif"]': 0.5,
                    'img[src="images/bronze.gif"]': 0.75,
                    '*': 1,
                },
            },
            uploadvolumefactor: {
                case: {
                    'img[src="images/2x.gif"]': 2,
                    'img[src="images/3x.gif"]': 3,
                    'img[src="images/4x.gif"]': 4,
                    'img[src="images/5x.gif"]': 5,
                    'img[src="images/6x.gif"]': 6,
                    'img[src="images/7x.gif"]': 7,
                    'img[src="images/8x.gif"]': 8,
                    'img[src="images/9x.gif"]': 9,
                    'img[src="images/10x.gif"]': 10,
                    '*': 1,
                },
            },
            minimumratio: { text: 0.5 },
            minimumseedtime: { text: 172800 },
        },
    },
    source: 'jackett',
};
