"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'latinop2p',
    name: 'LatinoP2P',
    description: 'LatinoP2P is a Latin American Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'es-419',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://latinop2p.com/'],
    legacylinks: ['https://torrentseed.cl/'],
    caps: {
        categorymappings: [
            { id: '3', cat: 'PC/Mobile-Android', desc: 'Android' },
            { id: '4', cat: 'TV/Anime', desc: 'Anime' },
            { id: '5', cat: 'Books/Comics', desc: 'Comic' },
            { id: '7', cat: 'TV/Documentary', desc: 'Documentales' },
            { id: '13', cat: 'Books/Other', desc: 'e-Learning' },
            { id: '12', cat: 'Books/Ebook', desc: 'eBooks' },
            { id: '8', cat: 'Console/NDS', desc: 'Juegos Nintendo' },
            { id: '17', cat: 'PC/Games', desc: 'Juegos PC' },
            { id: '18', cat: 'Console/PS4', desc: 'Juegos PlayStation' },
            { id: '19', cat: 'Console/Xbox', desc: 'Juegos Xbox' },
            { id: '20', cat: 'PC', desc: 'Programas Linux' },
            { id: '21', cat: 'PC/Mac', desc: 'Programas MacOS' },
            { id: '9', cat: 'Movies/HD', desc: 'Peliculas 1080p' },
            { id: '27', cat: 'Movies/HD', desc: 'Peliculas 1440p (2K)' },
            { id: '28', cat: 'Movies/3D', desc: 'Peliculas  3D' },
            { id: '29', cat: 'Movies/UHD', desc: 'Peliculas  4K' },
            { id: '10', cat: 'Movies/HD', desc: 'Peliculas 720p' },
            { id: '30', cat: 'Movies/BluRay', desc: 'Peliculas Bluray' },
            { id: '31', cat: 'Movies/DVD', desc: 'Peliculas DVD' },
            { id: '32', cat: 'Movies/SD', desc: 'Peliculas SD' },
            { id: '22', cat: 'Audio/Lossless', desc: 'Musica FLAC' },
            { id: '23', cat: 'Audio/MP3', desc: 'Musica MP3' },
            { id: '24', cat: 'Audio/Other', desc: 'Musica Otros' },
            { id: '25', cat: 'Audio/Video', desc: 'Musica Video' },
            { id: '26', cat: 'Other', desc: 'Otros' },
            { id: '6', cat: 'TV/Sport', desc: 'Deportes' },
            { id: '16', cat: 'TV', desc: 'TV Series' },
            { id: '15', cat: 'Other', desc: 'VIP' },
            { id: '33', cat: 'PC/0day', desc: 'Programas Windows' },
            { id: '14', cat: 'XXX', desc: 'XXX' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep', 'imdbid'],
            'movie-search': ['q', 'imdbid'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'added',
            options: {
                added: 'created',
                seeders: 'seeders',
                size: 'size',
                name: 'title',
            },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            logout: '',
        },
        error: [{ selector: 'table:has(td.thead:contains("error"))' }],
        test: {
            path: 'index.php',
            selector: 'a[href*="/logout.php?logouthash="]',
        },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            do: 'search',
            category: 0,
            include_dead_torrents: 'yes',
            keywords: '{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{ else }}{{ .Keywords }}{{ end }}',
            search_type: '{{ if .Query.IMDBID }}t_genre{{ else }}t_name{{ end }}',
            sort: '{{ .Config.sort }}',
            order: '{{ .Config.type }}',
        },
        keywordsfilters: [{ name: 're_replace', args: ['[^a-zA-Z0-9]+', '%'] }],
        rows: {
            selector: 'table#sortabletable tbody tr:has(a[href*="download-torrent-"])',
        },
        fields: {
            category: {
                selector: 'a[href*="torrent-category-"]',
                attribute: 'href',
                filters: [{ name: 'regexp', args: 'torrent-category-(\\d+)' }],
            },
            title: {
                selector: 'div[id^="port-content-"] div',
                optional: true,
            },
            details: {
                selector: 'a[href*="torrent-details-"]',
                attribute: 'href',
            },
            poster: {
                selector: 'div[id^="port-content-"] img',
                attribute: 'src',
            },
            date: {
                selector: 'td:nth-child(2) > div:last-child',
                filters: [
                    { name: 'append', args: ' +02:00' },
                    { name: 'dateparse', args: '02-01-2006 15:04 -07:00' },
                ],
            },
            download: {
                selector: 'a[href*="download-torrent-"]',
                attribute: 'href',
            },
            magnet: { selector: 'a[href^="magnet:?xt="]', attribute: 'href' },
            size: { selector: 'td:nth-child(5)' },
            grabs: { selector: 'td:nth-child(6)' },
            seeders: { selector: 'td:nth-child(7)' },
            leechers: { selector: 'td:nth-child(8)' },
            downloadvolumefactor: {
                case: {
                    'img[src$="/freedownload.gif"]': 0,
                    'img[src$="/silverdownload.gif"]': 0.5,
                    '*': 1,
                },
            },
            uploadvolumefactor: { case: { 'img[src$="/x2.gif"]': 2, '*': 1 } },
            minimumratio: { text: 0.6 },
            minimumseedtime: { text: 259200 },
        },
    },
    source: 'jackett',
};
