"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'moviezone',
    name: 'Movie Zone',
    description: 'Movie Zone (Mz) is a HUNGARIAN Private Torrent Tracker for 0DAY / GENERAL',
    language: 'hu-HU',
    type: 'private',
    encoding: 'ISO-8859-2',
    links: ['https://moviezone.ws/'],
    caps: {
        categorymappings: [
            { id: '76', cat: 'PC/Mobile-Android', desc: 'Android' },
            { id: '68', cat: 'Movies/DVD', desc: 'DVD-9' },
            { id: '60', cat: 'Books/Ebook', desc: 'eBook/Eng' },
            { id: '61', cat: 'Books/Ebook', desc: 'eBook/Hun' },
            { id: '37', cat: 'Movies/DVD', desc: 'Film/DVD-R/Eng' },
            { id: '38', cat: 'Movies/DVD', desc: 'Film/DVD-R/Hun' },
            { id: '48', cat: 'Movies/HD', desc: 'Film/HD/Eng' },
            { id: '71', cat: 'Movies/HD', desc: 'Film/HD/Hun' },
            { id: '47', cat: 'Movies/HD', desc: 'Film/x264/Eng' },
            { id: '82', cat: 'Movies/HD', desc: 'Film/x264/Hun' },
            { id: '40', cat: 'Movies/SD', desc: 'Film/XviD/Eng' },
            { id: '39', cat: 'Movies/SD', desc: 'Film/XviD/Hun' },
            { id: '59', cat: 'XXX', desc: 'Film/XXX' },
            { id: '87', cat: 'Audio/Audiobook', desc: 'Hangoskönyv' },
            { id: '73', cat: 'PC/Games', desc: 'Játék/Gyermek' },
            { id: '51', cat: 'PC/Games', desc: 'Játék/ISO' },
            { id: '53', cat: 'Console/PSP', desc: 'Játék/PS' },
            { id: '52', cat: 'PC/Games', desc: 'Játék/Rip' },
            { id: '56', cat: 'Console/Xbox', desc: 'Játék/Xbox (X-360)' },
            { id: '75', cat: 'Other', desc: 'Képek' },
            { id: '74', cat: 'XXX', desc: 'Képek/XXX' },
            { id: '86', cat: 'Audio/Video', desc: 'Klip' },
            { id: '66', cat: 'Audio/Lossless', desc: 'Lossless' },
            { id: '50', cat: 'Audio/MP3', desc: 'Mp3/Eng' },
            { id: '49', cat: 'Audio/MP3', desc: 'Mp3/Hun' },
            { id: '45', cat: 'PC/ISO', desc: 'Program/ISO' },
            { id: '44', cat: 'PC', desc: 'Program/Misc' },
            { id: '36', cat: 'PC/Mobile-Other', desc: 'Program/Mobil' },
            { id: '46', cat: 'PC/Mobile-Other', desc: 'Program/PDA' },
            { id: '42', cat: 'TV/Anime', desc: 'Rajzfilm/Eng' },
            { id: '43', cat: 'TV/Anime', desc: 'Rajzfilm/Hun' },
            { id: '57', cat: 'TV', desc: 'Sorozat/Eng' },
            { id: '58', cat: 'TV', desc: 'Sorozat/Hun' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 4,
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 2,
            options: { '1': 'asc', '2': 'desc' },
        },
        {
            name: 'info',
            type: 'info',
            label: 'Results Per Page',
            default: 'For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.',
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            returnto: '/',
        },
        error: [{ selector: 'table.browse:contains("hiba")' }],
        test: { path: '/', selector: 'a[href$="../logout.php"]' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}cat{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            incldead: '{{ if .Config.freeleech }}5{{ else }}1{{ end }}',
            genre: 0,
            blah: 0,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table > tbody > tr.sh1:has(a[href*="/download.php/"]), table > tbody > tr.sor:has(a[href*="/download.php/"])',
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'title',
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href*="/download.php/"]',
                attribute: 'href',
            },
            imdb: {
                selector: 'a[href*="imdb.com/title/tt"]',
                attribute: 'href',
            },
            poster: {
                selector: 'a[onmouseover]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: 'src=(.+?)>' }],
            },
            files: { selector: 'td:nth-last-child(8)' },
            date: {
                selector: 'td:nth-last-child(6)',
                filters: [
                    {
                        name: 'regexp',
                        args: '(\\d{4}-\\d{2}-\\d{2}\\s\\d{2}:\\d{2}:\\d{2})',
                    },
                    { name: 'replace', args: [' ', ' '] },
                    { name: 'append', args: ' +01:00' },
                    { name: 'dateparse', args: '2006-01-02 15:04:05 -07:00' },
                ],
            },
            size: {
                selector: 'td:nth-last-child(5) > u',
                filters: [{ name: 'replace', args: [',', '.'] }],
            },
            grabs: { selector: 'td:nth-last-child(4)' },
            seeders: { selector: 'td:nth-last-child(3)' },
            leechers: { selector: 'td:nth-last-child(2)' },
            downloadvolumefactor: {
                case: { 'font[color="#AF0000"]:contains("x0")': 0, '*': 1 },
            },
            uploadvolumefactor: {
                case: { 'font[color="#2A821E"]:contains("x2")': 2, '*': 1 },
            },
            minimumratio: { text: 0.6 },
            minimumseedtime: { text: 172800 },
        },
    },
    source: 'jackett',
};
