"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'puurhollands',
    name: 'Puur-Hollands',
    description: 'Puur-Hollands is a DUTCH Private Torrent Tracker for MUSIC',
    language: 'nl-NL',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://www.puur-hollands.org/'],
    caps: {
        categorymappings: [
            { id: '2', cat: 'Audio', desc: 'Nederlandse Albums' },
            { id: '3', cat: 'Audio', desc: 'Nederlandse Verzamel' },
            { id: '4', cat: 'Audio', desc: 'Nederlandse Piraten' },
            { id: '5', cat: 'Audio', desc: 'Losse Mp3 Verzameling' },
            { id: '7', cat: 'Audio', desc: 'Limburgse Muziek' },
            { id: '8', cat: 'Audio', desc: 'Nederlandse Instrumentaal' },
            { id: '9', cat: 'Audio', desc: 'Nederlandse Dvds' },
        ],
        modes: { search: ['q'], 'music-search': ['q', 'artist'] },
    },
    settings: [
        { name: 'cookie', type: 'text', label: 'Cookie' },
        {
            name: 'info',
            type: 'info',
            label: 'How to get the Cookie',
            default: "<ol><li>Login to this tracker with your browser<li>Open the <b>DevTools</b> panel by pressing <b>F12</b><li>Select the <b>Network</b> tab<li>Click on the <b>Doc</b> button (Chrome Browser) or <b>HTML</b> button (FireFox)<li>Refresh the page by pressing <b>F5</b><li>Click on the first row entry<li>Select the <b>Headers</b> tab on the Right panel<li>Find <b>'cookie:'</b> in the <b>Request Headers</b> section<li><b>Select</b> and <b>Copy</b> the whole cookie string <i>(everything after 'cookie: ')</i> and <b>Paste</b> here.</ol>",
        },
        { name: 'thankyou', type: 'text', label: 'Thank You Comment' },
        {
            name: 'info_comment',
            type: 'info',
            label: 'Thank you comment',
            default: 'This site requires you to leave a Thank You comment before you can download. Enter your personalised comment above.',
        },
    ],
    login: {
        method: 'cookie',
        inputs: { cookie: '{{ .Config.cookie }}' },
        test: { path: 'index.php', selector: 'a[href="logout.php"]' },
    },
    download: {
        before: {
            path: 'comment.php',
            method: 'post',
            inputs: {
                action: 'add',
                tid: '{{ .DownloadUri.Query.id }}',
                text: '{{ .Config.thankyou }}',
            },
        },
        selector: 'a[href^="download.php?id="]',
        attribute: 'href',
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ if .Query.Artist }}{{ .Query.Artist }}{{ else }}{{ .Keywords }}{{ end }}',
            incldead: 1,
        },
        rows: {
            selector: 'table.mainouter',
            filters: [{ name: 'andmatch' }],
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: { selector: 'a[href^="details.php?id="]' },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            poster: { selector: 'div[id^="Style"] img', attribute: 'src' },
            size: {
                selector: 'td:nth-child(4) table tr:nth-child(1) td:nth-child(2)',
                filters: [{ name: 'regexp', args: '(.+?) in' }],
            },
            files: {
                selector: 'td:nth-child(4) table tr:nth-child(1) td:nth-child(2)',
                filters: [{ name: 'regexp', args: 'in (\\d+) bestan' }],
            },
            grabs: {
                selector: 'td:nth-child(4) table tr:nth-child(2) td:nth-child(1)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            date: {
                selector: 'td:nth-child(4) table tr:nth-child(2) td:last-child',
                filters: [
                    { name: 'replace', args: ['januari', 'January'] },
                    { name: 'replace', args: ['februari', 'February'] },
                    { name: 'replace', args: ['maart', 'March'] },
                    { name: 'replace', args: ['april', 'April'] },
                    { name: 'replace', args: ['mei', 'May'] },
                    { name: 'replace', args: ['juni', 'June'] },
                    { name: 'replace', args: ['juli', 'July'] },
                    { name: 'replace', args: ['augustus', 'August'] },
                    { name: 'replace', args: ['september', 'September'] },
                    { name: 'replace', args: ['oktober', 'October'] },
                    { name: 'replace', args: ['november', 'November'] },
                    { name: 'replace', args: ['december', 'December'] },
                    { name: 're_replace', args: ['\\s*om\\s*', ' '] },
                    { name: 'append', args: ' +01:00' },
                    { name: 'dateparse', args: '2 January 2006 15:04:05 -07:00' },
                ],
            },
            seeders: {
                optional: true,
                selector: 'td:nth-child(4) table tr:nth-child(3) td:nth-child(5) font b',
            },
            leechers: {
                optional: true,
                selector: 'td:nth-child(4) table tr:nth-child(3) td:nth-child(5) font font b',
            },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
