"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'scenepalace',
    name: 'ScenePalace',
    description: 'ScenePalace (SP) is a Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://scenepalace.info/'],
    caps: {
        categorymappings: [
            { id: '14', cat: 'PC/0day', desc: 'Apps' },
            { id: '12', cat: 'Books/Ebook', desc: 'E-BOOKS' },
            { id: '7', cat: 'Console', desc: 'Games/Console' },
            { id: '9', cat: 'Console/Other', desc: 'Games/Handheld' },
            { id: '10', cat: 'PC/Mac', desc: 'Games/Mac' },
            { id: '8', cat: 'PC/Games', desc: 'Games/PC' },
            { id: '1', cat: 'Other/Misc', desc: 'Misc' },
            { id: '2', cat: 'Movies', desc: 'Movies' },
            {
                id: '16',
                cat: 'Movies/Foreign',
                desc: 'Movies/Foriegn Non English',
            },
            { id: '18', cat: 'Movies', desc: 'Movies/Pre - 2000' },
            { id: '4', cat: 'Audio', desc: 'Music' },
            { id: '11', cat: 'TV', desc: 'Packs' },
            { id: '17', cat: 'Movies', desc: 'Rare' },
            { id: '15', cat: 'Other', desc: 'Torrents needing modded' },
            { id: '5', cat: 'TV', desc: 'TV' },
            { id: '6', cat: 'XXX', desc: 'XXX' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Filter freeleech only',
            default: false,
        },
        {
            name: 'info_tpp',
            type: 'info',
            label: 'Results Per Page',
            default: 'For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.',
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 4,
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'login.php',
        method: 'form',
        form: 'form[action="takelogin.php"]',
        submitpath: 'takelogin.php',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [
            { selector: 'td.embedded:has(h2:contains("failed"))' },
            { selector: 'td.embedded:has(h2:contains("Error"))' },
        ],
        test: { path: 'browse.php', selector: 'a[href^="./logout.php"]' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            incldead: 1,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table[border=1][cellpadding=5] > tbody > tr:has(a[href^="download.php?torrent="]){{ if .Config.freeleech }}:has(img[src$="/free.jpg"]){{ else }}{{ end }}',
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: { selector: 'a[href^="details.php?id="]' },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?torrent="]',
                attribute: 'href',
            },
            poster: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'onmouseover',
                filters: [
                    { name: 'regexp', args: 'src="(.*?)"' },
                    { name: 'replace', args: ['./pic/noposter.png', ''] },
                ],
            },
            files: { selector: 'td:nth-last-child(8)' },
            date: {
                selector: 'td:nth-last-child(6):not(:contains("day"))',
                optional: true,
                filters: [
                    { name: 'append', args: ' +00:00' },
                    { name: 'dateparse', args: 'Jan 2 2006 03:04 PM -07:00' },
                ],
            },
            size: { selector: 'td:nth-last-child(5)' },
            grabs: {
                selector: 'td:nth-last-child(4)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            seeders: { selector: 'td:nth-last-child(3)' },
            leechers: { selector: 'td:nth-last-child(2)' },
            downloadvolumefactor: {
                case: { 'img[src$="/free.jpg"]': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
            minimumratio: { text: 1 },
            minimumseedtime: { text: 259200 },
        },
    },
    source: 'jackett',
};
