"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'tokyotosho',
    name: 'Tokyo Toshokan',
    description: 'A BitTorrent Library for Japanese Media',
    language: 'en-US',
    type: 'public',
    encoding: 'UTF-8',
    links: ['https://www.tokyotosho.info/', 'https://tokyotosho.unblocked.monster/'],
    legacylinks: [
        'https://tokyotosho.black-mirror.xyz/',
        'https://tokyotosho.unblocked.casa/',
        'https://tokyotosho.proxyportal.fun/',
        'https://tokyotosho.uk-unblock.xyz/',
        'https://tokyotosho.ind-unblock.xyz/',
        'https://tokyotosho.unblocked.bar/',
        'https://tokyotosho.proxyportal.pw/',
        'https://tokyotosho.uk-unblock.pro/',
        'https://tokyotosho.unblocked.rest/',
    ],
    settings: [
        {
            name: 'cat',
            type: 'select',
            label: 'Category',
            default: 0,
            options: {
                '0': 'All',
                '1': 'Anime',
                '2': 'Music',
                '3': 'Manga',
                '4': 'Hentai',
                '5': 'Other',
                '7': 'Raws',
                '8': 'Drama',
                '9': 'Music Video',
                '10': 'Non-English',
                '11': 'Batch',
                '12': 'Hentai (Anime)',
                '13': 'Hentai (Manga)',
                '14': 'Hentai (Games)',
                '15': 'JAV',
            },
        },
    ],
    caps: {
        categorymappings: [
            { id: '1', cat: 'TV/Anime', desc: 'Anime' },
            { id: '10', cat: 'TV/Anime', desc: 'Non-English Anime' },
            { id: '3', cat: 'Books', desc: 'Manga' },
            { id: '8', cat: 'TV/Anime', desc: 'Drama' },
            { id: '2', cat: 'Audio', desc: 'Anime Music' },
            { id: '9', cat: 'TV/Anime', desc: 'Anime Music Videos' },
            { id: '7', cat: 'TV/Anime', desc: 'Raw Anime' },
            { id: '4', cat: 'XXX', desc: 'Hentai' },
            { id: '12', cat: 'XXX', desc: 'Hentai (Anime)' },
            { id: '13', cat: 'XXX', desc: 'Hentai (Manga)' },
            { id: '14', cat: 'XXX', desc: 'Hentai (Games)' },
            { id: '11', cat: 'TV/Anime', desc: 'Batch' },
            { id: '15', cat: 'XXX', desc: 'JAV' },
            { id: '5', cat: 'Other', desc: 'Other' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'book-search': ['q'],
        },
    },
    search: {
        paths: [{ path: '{{ if .Keywords }}search.php{{ else }}index.php{{ end }}' }],
        inputs: { terms: '{{ .Keywords }}', cat: '{{ .Config.cat }}' },
        rows: {
            selector: 'table.listing tr.category_0',
            after: 1,
            filters: [{ name: 'andmatch' }],
        },
        fields: {
            category: {
                selector: 'a[href*="?cat="]',
                attribute: 'href',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            title: {
                selector: 'td.desc-top a[type="application/x-bittorrent"]',
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'td.desc-top a[type="application/x-bittorrent"]',
                attribute: 'href',
            },
            magnet: {
                selector: 'a[href^="magnet:?xt="]',
                attribute: 'href',
                optional: true,
            },
            size: {
                selector: 'td.desc-bot',
                filters: [
                    { name: 'split', args: ['|', 1] },
                    { name: 'regexp', args: 'Size: (.+?) ?$' },
                ],
            },
            date: {
                selector: 'td.desc-bot',
                filters: [
                    { name: 'split', args: ['|', 2] },
                    { name: 'regexp', args: 'Date: (.+?) ?$' },
                    { name: 'replace', args: ['UTC', '+00:00'] },
                    { name: 'dateparse', args: '2006-01-02 15:04 -07:00' },
                ],
            },
            seeders: { selector: 'td.stats > span:nth-child(1)' },
            leechers: { selector: 'td.stats > span:nth-child(2)' },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
