"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'torrentproject',
    name: 'TorrentProject',
    description: 'TorrentProject is a Public torrent meta-search engine',
    language: 'en-US',
    type: 'public',
    encoding: 'UTF-8',
    links: ['https://torrentproject.to/', 'https://torrentproject.torrentbay.to/'],
    caps: {
        categorymappings: [
            { id: 'adult', cat: 'XXX', desc: 'Adult' },
            { id: 'anime', cat: 'TV/Anime', desc: 'Anime' },
            { id: 'audio', cat: 'Audio', desc: 'Audio' },
            { id: 'audioalbum', cat: 'Audio', desc: 'Audio Album' },
            {
                id: 'audioalbumlossless',
                cat: 'Audio/Lossless',
                desc: 'Audio Album Lossless',
            },
            { id: 'audioalbummp3', cat: 'Audio/MP3', desc: 'Audio Album MP3' },
            {
                id: 'audiolossless',
                cat: 'Audio/Lossless',
                desc: 'Audio Lossless',
            },
            { id: 'audiomp3', cat: 'Audio/MP3', desc: 'Audio MP3' },
            { id: 'books', cat: 'Books', desc: 'Books' },
            { id: 'docebook', cat: 'Books/Ebook', desc: 'Doc Ebook' },
            { id: 'games', cat: 'PC/Games', desc: 'Games' },
            { id: 'gamesnintendo', cat: 'Console/NDS', desc: 'Games Nintendo' },
            { id: 'gamespc', cat: 'PC/Games', desc: 'Games PC' },
            { id: 'gamesxbox', cat: 'Console/Xbox', desc: 'Games Xbox' },
            { id: 'literature', cat: 'Books', desc: 'Literature' },
            { id: 'misc', cat: 'Other/Misc', desc: 'Misc' },
            { id: 'mobile', cat: 'PC/Mobile-Other', desc: 'Mobile' },
            { id: 'other', cat: 'Other', desc: 'Other' },
            {
                id: 'playstation',
                cat: 'Console/PSP',
                desc: 'Games Playstation',
            },
            { id: 'software', cat: 'PC/0day', desc: 'Software' },
            { id: 'tv', cat: 'TV', desc: 'TV' },
            { id: 'video', cat: 'TV', desc: 'Video' },
            { id: 'videomovie', cat: 'Movies', desc: 'Video Movie' },
            { id: 'videomovieadult', cat: 'XXX', desc: 'Video Movie Adult' },
            {
                id: 'videomoviedvdrip',
                cat: 'Movies/SD',
                desc: 'Video Movie DVDRip',
            },
            { id: 'videomoviehdrip', cat: 'Movies', desc: 'Video Movie HDRip' },
            { id: 'videoshow', cat: 'TV', desc: 'Video Show' },
            { id: 'videoshowadult', cat: 'XXX', desc: 'Video Show Adult' },
            { id: 'videoshowmovie', cat: 'TV', desc: 'Video Show Movie' },
            { id: 'xxx', cat: 'XXX', desc: 'Adult' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'latest',
            options: {
                latest: 'created desc',
                oldest: 'created asc',
                seeders: 'seeders',
                sizebg: 'size desc',
                sizesm: 'size asc',
            },
        },
        {
            name: 'flaresolverr',
            type: 'info',
            label: 'FlareSolverr',
            default: 'This site may use Cloudflare DDoS Protection, therefore Jackett requires <a href="https://github.com/Jackett/Jackett#configuring-flaresolverr" target="_blank">FlareSolver</a> to access it.',
        },
    ],
    search: {
        paths: [
            { path: '?t={{ .Keywords }}&amp;orderby={{ .Config.sort }}' },
            { path: '?t={{ .Keywords }}&amp;orderby={{ .Config.sort }}&amp;page=2' },
        ],
        rows: {
            selector: '#similarfiles div:has(a[href^="/"]):not(:has(a[class^="notpicked"]))',
        },
        fields: {
            category: { text: 'Other' },
            'category|noappend': {
                optional: true,
                selector: 'div > span:nth-child(1) > span:nth-child(2)',
                filters: [{ name: 're_replace', args: ['[^a-zA-Z0-9]+', ''] }, { name: 'tolower' }],
            },
            title: { selector: 'span > a' },
            details: { selector: 'span > a', attribute: 'href' },
            infohash: {
                selector: 'span > a',
                attribute: 'href',
                filters: [{ name: 'split', args: ['/', 1] }],
            },
            date: {
                selector: 'div > span:nth-child(4)',
                filters: [{ name: 'timeago' }],
            },
            size: { selector: 'div > span:nth-child(5)' },
            description: {
                optional: true,
                selector: 'div > span:nth-child(1) > span:nth-child(2)',
            },
            seeders: { selector: 'div > span:nth-child(2)' },
            leechers: { selector: 'div > span:nth-child(3)' },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
