"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'zetorrents',
    name: 'zetorrents',
    description: 'zetorrents is a FRENCH Public site for MOVIES / TV / GENERAL',
    language: 'fr-FR',
    type: 'public',
    encoding: 'UTF-8',
    links: ['https://www.zetorrents.org/'],
    legacylinks: [
        'https://www.zetorrents.co/',
        'https://www.zetorrents.io/',
        'https://wvw.zetorrents.io/',
        'https://vww.zetorrents.io/',
        'https://wwv.zetorrents.io/',
        'https://ww1.zetorrents.io/',
    ],
    caps: {
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
        categorymappings: [{ id: 'Other', cat: 'Other' }],
    },
    settings: [
        {
            name: 'info_8000',
            type: 'info',
            label: 'About zetorrents Categories',
            default: "zetorrents does not return categories in its search results.</br>To add to your Apps' Torznab indexer, replace all categories with 8000(Other).",
        },
        {
            name: 'multilang',
            type: 'checkbox',
            label: 'Replace MULTI by another language in release name',
            default: false,
        },
        {
            name: 'multilanguage',
            type: 'select',
            label: 'Replace MULTI by this language',
            default: 'FRENCH',
            options: {
                FRENCH: 'FRENCH',
                'MULTI.FRENCH': 'MULTI.FRENCH',
                ENGLISH: 'ENGLISH',
                'MULTI.ENGLISH': 'MULTI.ENGLISH',
                VOSTFR: 'VOSTFR',
                'MULTI.VOSTFR': 'MULTI.VOSTFR',
            },
        },
        {
            name: 'vostfr',
            type: 'checkbox',
            label: 'Replace VOSTFR with ENGLISH',
            default: false,
        },
    ],
    download: { selector: 'a[href^="magnet:?xt="]', attribute: 'href' },
    search: {
        paths: [
            {
                path: '{{ if .Keywords }}recherche/{{ .Keywords }}{{ else }}{{ end }}',
            },
        ],
        keywordsfilters: [
            { name: 're_replace', args: ['(?i)(S0)(\\d{1,2})$', 'saison $2'] },
            { name: 're_replace', args: ['(?i)(S)(\\d{1,3})$', 'saison $2'] },
        ],
        rows: {
            selector: 'table.table > tbody > tr:has(a[href^="/torrent/"])',
        },
        fields: {
            category: { text: 'Other' },
            site_date: {
                selector: 'a[href^="/torrent/"]',
                filters: [{ name: 'regexp', args: '(19|20\\d{2})$' }],
            },
            title_phase1: {
                selector: 'a[href^="/torrent/"]',
                attribute: 'title',
                filters: [
                    { name: 'replace', args: [' en Torrent', ''] },
                    { name: 'replace', args: ['WEBRIP', 'WEBDL'] },
                    {
                        name: 're_replace',
                        args: ['(?i)( FRENCH)', ' {{ .Result.site_date }} FRENCH'],
                    },
                    {
                        name: 're_replace',
                        args: ['(?i)( MULTI)', ' {{ .Result.site_date }} MULTI'],
                    },
                    {
                        name: 're_replace',
                        args: ['(?i)( TRUEFRENCH)', ' {{ .Result.site_date }} TRUEFRENCH'],
                    },
                    {
                        name: 're_replace',
                        args: ['(?i)( VOSTFR)', ' {{ .Result.site_date }} VOSTFR'],
                    },
                    {
                        name: 're_replace',
                        args: ['(?i)( SUBFRENCH)', ' {{ .Result.site_date }} SUBFRENCH'],
                    },
                    { name: 're_replace', args: ['(19|20\\d{2})$', ''] },
                ],
            },
            title_multilang: {
                text: '{{ .Result.title_phase1 }}',
                filters: [
                    {
                        name: 're_replace',
                        args: ['(?i)(\\smulti\\s)', ' {{ .Config.multilanguage }} '],
                    },
                ],
            },
            title_phase2: {
                text: '{{ if .Config.multilang }}{{ .Result.title_multilang }}{{ else }}{{ .Result.title_phase1 }}{{ end }}',
            },
            title_vostfr: {
                text: '{{ .Result.title_phase2 }}',
                filters: [
                    { name: 're_replace', args: ['(?i)(\\svostfr\\s)', ' ENGLISH '] },
                    {
                        name: 're_replace',
                        args: ['(?i)(\\ssubfrench\\s)', ' ENGLISH '],
                    },
                ],
            },
            title: {
                text: '{{ if .Config.vostfr }}{{ .Result.title_vostfr }}{{ else }}{{ .Result.title_phase2 }}{{ end }}',
            },
            details: { selector: 'a[href^="/torrent/"]', attribute: 'href' },
            download: { selector: 'a[href^="/torrent/"]', attribute: 'href' },
            date: { text: 'now' },
            size: { selector: 'td:nth-child(2)' },
            seeders: { selector: 'td:nth-child(3)' },
            leechers: { selector: 'td:nth-child(4)' },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
